Get all companies associated with the authenticated user
curl --request GET \
--url https://pre-public-api.cobee.io/api/v3/companies \
--header 'Authorization: Bearer <token>'import requests
url = "https://pre-public-api.cobee.io/api/v3/companies"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://pre-public-api.cobee.io/api/v3/companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"companies": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"legalId": "<string>",
"legalName": "<string>",
"state": "active",
"contactEmail": "jsmith@example.com",
"countryISO2Code": "<string>",
"deliveryAddress": {
"streetName": "<string>",
"streetNumber": "<string>",
"street": "<string>",
"postalCode": "<string>",
"province": "<string>",
"locality": "<string>",
"details": "<string>",
"district": "<string>"
},
"legalAddress": {
"streetName": "<string>",
"streetNumber": "<string>",
"street": "<string>",
"postalCode": "<string>",
"province": "<string>",
"locality": "<string>",
"details": "<string>",
"district": "<string>"
},
"corporationId": "<string>"
}
]
}{
"message": "Unauthorized"
}Companies
List companies
GET
/
companies
Get all companies associated with the authenticated user
Overview
Retrieve a list of the companies associated with the authenticated user.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Company CIF(s) to filter by. Can be a single CIF or multiple CIFs separated by commas
Company state to filter by
Available options:
active Response
New response
Show child attributes
Show child attributes
⌘I